$('.show_del_confirm').click(function (e) {
    e.preventDefault();
    var itr = $(this).data('itr');
    $('#del_now_itr').val(itr);
    document.getElementById('myModal1').style.display = "block";
});

$('#clientid').on('change', function () {
    var clientid = $('#clientid').val();
    $.post('depositcheckAjaxController.php?do=getDebt', {clientid: clientid}, function (data) {

        if (Number(data) || data == 0)
            $('#clientDebit').val(data);
    });

});

function remove() {
    var itr = $('#del_now_itr').val();
    var delid = $('#delid' + itr).val();
    var delaction = $('#delaction' + itr).val();


    $.post('depositcheckController.php?do=delete', {id: delid, action: delaction}, function () {
        document.getElementById('myModal1').style.display = "none";
        location.reload();
    });

}

function closeForm() {
    document.getElementById('myModal1').style.display = "none";

}


/* ADD */
$('#savebtn').on('click', function (e) {
    if (!$(this).hasClass('precessing')) {
        $(this).addClass('precessing');
        var ddlBank = $('#ddlBank').val();
        var clientid = $('#clientid').val();
        var accountid = $('#accountid').val();
        var txtcheckNum = $('#txtcheckNum').val();
        var txtUser = $('#txtUser').val();
        var chekamount = $('#txtAmountxx').val();

        if (ddlBank == '-1') {
            $('#bankerror').html("<pre style='color:red;'>*اختر بنك </pre>");
            $('#chekerror2').html("");
            $(this).removeClass('precessing');
            e.preventDefault();
        } else if (clientid == '-1') {
            $('#bankerror').html("");
            $('#chekerror2').html("");
            $('#clienterror').html("<pre style='color:red;'> *اختر العميل</pre>");
            $(this).removeClass('precessing');
            e.preventDefault();
        } else if (accountid == '-1') {
            $('#bankerror').html("");
            $('#clienterror').html("");
            $('#chekerror2').html("");
            $('#counterror').html("<pre style='color:red;'>*اختر الحساب </pre>");
            $(this).removeClass('precessing');
            e.preventDefault();
        } else if (chekamount == '') {
            $('#bankerror').html("");
            $('#clienterror').html("");
            $('#counterror').html("");
            $('#chekerror').html("");
            $('#chekerror2').html("");
            $('#userdiv').html("");
            $('#chekamount').html("<pre style='color:red;'>*ادخل قيمة الايداع</pre>");
            $(this).removeClass('precessing');
            e.preventDefault();
        } else {
            $('#myform').submit();
        }
//        else if (txtcheckNum == '') {
//            $('#bankerror').html("");
//            $('#clienterror').html("");
//            $('#counterror').html("");
//            $('#chekerror2').html("");
//            $('#chekerror').html("<pre style='color:red;'>*ادخل رقم  عملية الايداع </pre>");
//            $(this).removeClass('precessing');
//            e.preventDefault();
//        }
//        else if (txtUser == '') {
//            $('#bankerror').html("");
//            $('#clienterror').html("");
//            $('#counterror').html("");
//            $('#chekerror').html("");
//            $('#chekerror2').html("");
//            $('#userdiv').html("<pre style='color:red;'>*ادخل اسم المودع</pre>");
//            $(this).removeClass('precessing');
//            e.preventDefault();
//        }
//        else if (txtcheckNum != '') {
//        //check for unique checqe no
//        $.post('salesreportajax.php?do=checkChk', {chck: txtcheckNum, accid: accountid}, function (data) {
//            if (data == -2) {
//                $('#bankerror').html("");
//                $('#clienterror').html("");
//                $('#counterror').html("");
//                $('#chekerror').html("");
//                $('#userdiv').html("");
//                $('#chekamount').html("");
//                $('#chekerror2').html("<pre style='color:red;'>تم ادخال هذا الرقم من قبل </p>");
//                e.preventDefault();
//            } else {
//                $('#myform').submit();
//            }
//        });
//            $('#myform').submit();
//        }

    }

});

// edit btn

$('#editbtn').on('click', function (e) {
    var txtUser = $('#txtUser').val();
    if (txtUser == '') {
        $('#userdiv').html("<pre style='color:red;'>*ادخل اسم المستفيد</pre>");
        e.preventDefault();
    } else {
        $('#editform').submit();
    }
});

